# Function UseOptionsMethod

- UseOptionsMethod(method, config?): ((target, propertyKey) => void)

- #### Parameters

  - method: ProviderToken<Method<ControlOptions, any>>
  - `Optional` config: UseMethodConfig<any, any, any, any>

  #### Returns ((target, propertyKey) => void)

  - - (target, propertyKey): void

    - #### Parameters

      - target: any
      - propertyKey: string

      #### Returns void

  - Defined in packages/angular/form-system/src/lib/mixins/extract-options-method.mixin.ts:16